/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/BRWFRM.H__   1.0   15 Aug 1997 14:03:44   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/BRWFRM.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:44   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:28   ZJRD
** 1.0c
** 
****************************************************************************/

// brwfrm.h : header file
//
#ifndef _BRWFRM_H_
#define _BRWFRM_H_

/////////////////////////////////////////////////////////////////////////////
// CBrowseFrame frame

class CBrowseFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CBrowseFrame)
protected:
	CBrowseFrame();			// protected constructor used by dynamic creation

// Operations
public:
	void UpdateBrowseWindow(const int nMode);

// Control bar embedded members
protected:
	CSourceWizardBar m_wndWizardBar;
public:
	CSourceWizardBar* GetWizardBar() { return &m_wndWizardBar; }

// Implementation
protected:
	virtual ~CBrowseFrame();

	// Generated message map functions
	//{{AFX_MSG(CBrowseFrame)
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
	afx_msg void OnClose();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelchangeComboSrcWizardbarModule();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////////////////////////////////////////////////////
